Bug 1260921 - wget: IP address exposure via FTP PORT command
wget: IP address exposure via FTP PORT command
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120420,reported=2...
: Security
Depends On: 1260925
Blocks: 1260924
  Show dependency treegraph
 
Reported: 2015-09-08 04:44 EDT by Adam Mariš
Modified: 2015-11-24 08:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that wget could disclose a user's IP address in an FTP session. If the FTP server does not offer support for the passive FTP mode, wget would automatically fall back to the active FTP mode, which could expose the client's IP address as part of the "PORT" command, even if wget was used in combination with an anonymizing proxy.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-16 08:59:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-09-08 04:44:44 EDT
User's IP address is exposed to the FTP server when automatically falling back from passive mode to active mode using PORT command. Wget is using normally passive mode, but this situation occurs when server rejects the PASV command. The real IP address is exposed even if client uses proxy server. Affected versions are <= 1.16.3.

CVE request:

http://seclists.org/oss-sec/2015/q3/516

Upstream patch:

http://git.savannah.gnu.org/cgit/wget.git/commit/?id=075d7556964f5a871a73c22ac4b69f5361295099
Comment 1 Adam Mariš 2015-09-08 04:52:03 EDT
Created wget tracking bugs for this issue:

Affects: fedora-all [bug 1260925]
Comment 4 Adam Mariš 2015-11-02 08:23:07 EST
CVE-2015-7665 was assigned to this vulnerability for Tails. This vulnerability in upstream wget distribution is not considered as vulnerability, thus there's no CVE assigned for upstream wget.

http://seclists.org/oss-sec/2015/q4/8

Note You need to log in before you can comment on or make changes to this bug.